Bug 1456630 - Stop checking for Vista or earlier in GMPUtils, since those verisons of Windows aren't supported anymore. r=cpearce
authorMike Conley <mconley@mozilla.com>
Tue, 24 Apr 2018 17:00:53 -0400
changeset 471607 842b7bc6ad24c5e0df37949636b797560cb07a70
parent 471606 c8c27bdc5f543b688f23104afab52bfcded76ec7
child 471608 bc6609dd306dc303009b0bf254ecf9e70360e348
push id1728
push userjlund@mozilla.com
push dateMon, 18 Jun 2018 21:12:27 +0000
treeherdermozilla-release@c296fde26f5f [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewerscpearce
bugs1456630
milestone61.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1456630 - Stop checking for Vista or earlier in GMPUtils, since those verisons of Windows aren't supported anymore. r=cpearce This should help us avoid doing some main-thread IO during start-up, since we won't need to init an nsSystemInfo object (which touches disk). MozReview-Commit-ID: IvzHSdzRHGL
toolkit/modules/GMPUtils.jsm
--- a/toolkit/modules/GMPUtils.jsm
+++ b/toolkit/modules/GMPUtils.jsm
@@ -54,17 +54,17 @@ var GMPUtils = {
    */
   _isPluginSupported(aPlugin) {
     if (this._isPluginForceSupported(aPlugin)) {
       return true;
     }
     if (aPlugin.id == WIDEVINE_ID) {
       // The Widevine plugin is available for Windows versions Vista and later,
       // Mac OSX, and Linux.
-      return AppConstants.isPlatformAndVersionAtLeast("win", "6") ||
+      return AppConstants.platform == "win" ||
              AppConstants.platform == "macosx" ||
              AppConstants.platform == "linux";
     }
 
     return true;
   },
 
   _is32bitModeMacOS() {